#
# spec file for package golang-github-petar-gollrb
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Sascha Peilicke <saschpe@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-github-petar-gollrb
Version:        0.0.0+git20130427.53be0d3
Release:        1.1
Summary:        Left-Leaning Red-Black balanced binary search tree
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            http://github.com/petar/GoLLRB
Source:         GoLLRB-%{version}.tar.xz
BuildRequires:  golang-packaging
BuildRequires:  xz
Provides:	go-GoLLRB = %{version}
Obsoletes:	go-GoLLRB < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}

%description
GoLLRB is a Left-Leaning Red-Black (LLRB) implementation of 2-3 balanced
binary search trees in Google Go.

%gosrc_package

%prep
%setup -q -n GoLLRB-%{version}

%build
%goprep github.com/petar/GoLLRB
%gobuild llrb

%install
%goinstall
%gosrc

%files
%defattr(-,root,root)
%doc LICENSE README.md example
%{go_contribdir}/*

%files source
%defattr(-,root,root)
%{go_contribsrcdir}/*

%changelog
* Sat Jul 25 2015 i@marguerite.su
- rename to golang-github-petar-gollrb
- update version 0.0.0+git20130427.53be0d3
- use golang-packaging for packaging
* Sat Mar 21 2015 i@marguerite.su
- add xz as BuildRequires
* Fri Mar 20 2015 i@marguerite.su
- update version 0.0.0+git20130427.53be0d3
- remove go_disable_brp_strip_static_archive usage
- drop GoLLRB-weekly-fixes.patch
  * upstream contains this fix
* Mon Aug  5 2013 ro@suse.de
- use ExclusiveArch to limit build to the same architectures as go
* Mon Jun 11 2012 graham@andtech.eu
- Update spec files for new pacakge location
- Add documentation package
* Tue Dec 13 2011 saschpe@suse.de
- Re-packaged tarball
- Adjust to Go weekly.2011-12-02 release changes
* Fri Jun 24 2011 saschpe@suse.de
- Fixed URL
* Fri Jun 24 2011 saschpe@suse.de
- Corrected package description
* Fri Jun 24 2011 saschpe@suse.de
- Initial version
